%global _empty_manifest_terminate_build 0
Name:		python-dkimpy
Version:	1.0.5
Release:	1
Summary:	DKIM (DomainKeys Identified Mail), ARC (Authenticated Receive Chain), and TLSRPT (TLS Report) email signing and verification
License:	BSD-like
URL:		https://pypi.org/project/dkimpy
Source0:	https://files.pythonhosted.org/packages/b5/33/9c60f3a34d4d7237e5c21eb73e06a34f52c3a959fa20efb705e5b0b16d01/dkimpy-%{version}.tar.gz
BuildArch:	noarch

%description
Dkimpy is a library that implements DKM(DomainKeys Identified Mail) email signing and verification.
Basic DKIM requirements are defined in RFC 6376: https://tools.ietf.org/html/rfc6376i.

%package -n python3-dkimpy
Summary:	DKIM (DomainKeys Identified Mail), ARC (Authenticated Receive Chain), and TLSRPT (TLS Report) email signing and verification
Provides:	python-dkimpy
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools

%description -n python3-dkimpy
Dkimpy is a library that implements DKM(DomainKeys Identified Mail) email signing and verification.
Basic DKIM requirements are defined in RFC 6376: https://tools.ietf.org/html/rfc6376i.

%package help
Summary:	Development documents and examples for dkimpy
Provides:	python3-dkimpy-doc

%description help
Development documents and examples for dkimpy.

%prep
%autosetup -n dkimpy-%{version}

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-dkimpy -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_pkgdocdir}

%changelog
* Fri Dec 18 2020 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
